Summary:        Check a remote host for reachability
Name:           perl-Net-Ping
Version:        2.75
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Net-Ping/
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Net-Ping-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.2 perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76

# Run-time:
BuildRequires:  perl(Carp) perl(Exporter) perl(FileHandle)
BuildRequires:  perl(constant) perl(vars) 
BuildRequires:  perl(IO::Socket::INET) perl(Socket) >= 2.007
BuildRequires:  perl(POSIX) perl(Fcntl) perl(Time::HiRes)

# Tests:
BuildRequires:  perl(Config) perl(Cwd)
BuildRequires:  perl(File::Spec) perl(Test::More)

BuildArch:      noarch

Requires:       perl(IO::Socket::INET)
Suggests:       perl(Net::Ping::External)

%description
Net::Ping module contains methods to test the reachability of remote hosts on
a network. A ping object is first created with optional parameters, a variable 
number of hosts may be pinged multiple times and then the connection is closed.

%prep
%autosetup -n Net-Ping-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
export NO_NETWORK_TESTING=1
make test

%files
%doc Changes README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.75-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 wynnfeng <wynnfeng@tencent.com> - 2.75-1
- upgrade to 2.75

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.74-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.74-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Cheng Xin <denisecheng@tencent.com> - 2.74-1
- package init.
